Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QCryptographicHash.Algorithm

    java.lang.Object
      java.lang.Enum<QCryptographicHash.Algorithm>
          com.trolltech.qt.core.QCryptographicHash.Algorithm

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QCryptographicHash.Algorithm>

Enclosing class:
  QCryptographicHash

    public static enum QCryptographicHash.Algorithm

extends java.lang.Enum<QCryptographicHash.Algorithm>
implements QtEnumerator

Press link for info on QCryptographicHash.Algorithm

Enum Constant Summary
`Md4` Generate an Md4 hash sum
`Md5` Generate an Md5 hash sum
`Sha1` Generate an Sha1 hash sum

Method Summary
`static QCryptographicHash.Algorithm` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCryptographicHash.Algorithm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QCryptographicHash.Algorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Md4

    public static final QCryptographicHash.Algorithm Md4

  Generate an Md4 hash sum

### Md5

    public static final QCryptographicHash.Algorithm Md5

  Generate an Md5 hash sum

### Sha1

    public static final QCryptographicHash.Algorithm Sha1

  Generate an Sha1 hash sum

Method Detail

### values

    public static final QCryptographicHash.Algorithm[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QCryptographicHash.Algorithm c : QCryptographicHash.Algorithm.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QCryptographicHash.Algorithm valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCryptographicHash.Algorithm resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD